com.independentsoft.exchange

## Enum RequestServerVersion

- java.lang.Object
- - java.lang.Enum<RequestServerVersion>
  - - com.independentsoft.exchange.RequestServerVersion

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RequestServerVersion>

      public enum RequestServerVersion
      extends java.lang.Enum<RequestServerVersion>

  Contains the versioning information that identifies the schema version to target for a request.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXCHANGE_2007` Target the schema files for the initial release version of Exchange 2007.
    `EXCHANGE_2007_SP1` Target the schema files for Exchange 2007 Service Pack 1 (SP1).
    `EXCHANGE_2010` Target the schema files for Exchange 2010.
    `EXCHANGE_2010_SP1` Target the schema files for Exchange 2010 Service Pack 1 (SP1).
    `EXCHANGE_2010_SP2` Target the schema files for Exchange 2010 Service Pack 2 (SP2).
    `EXCHANGE_2013` Target the schema files for Exchange 2013.
    `EXCHANGE_2013_SP1` Target the schema files for Exchange 2013 Service Pack 1 (SP1).
    `EXCHANGE_2016` Target the schema files for Exchange 2016.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequestServerVersion` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RequestServerVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXCHANGE_2007

          public static final RequestServerVersion EXCHANGE_2007

      Target the schema files for the initial release version of Exchange 2007.

    - #### EXCHANGE_2007_SP1

          public static final RequestServerVersion EXCHANGE_2007_SP1

      Target the schema files for Exchange 2007 Service Pack 1 (SP1).

    - #### EXCHANGE_2010

          public static final RequestServerVersion EXCHANGE_2010

      Target the schema files for Exchange 2010.

    - #### EXCHANGE_2010_SP1

          public static final RequestServerVersion EXCHANGE_2010_SP1

      Target the schema files for Exchange 2010 Service Pack 1 (SP1).

    - #### EXCHANGE_2010_SP2

          public static final RequestServerVersion EXCHANGE_2010_SP2

      Target the schema files for Exchange 2010 Service Pack 2 (SP2).

    - #### EXCHANGE_2013

          public static final RequestServerVersion EXCHANGE_2013

      Target the schema files for Exchange 2013.

    - #### EXCHANGE_2013_SP1

          public static final RequestServerVersion EXCHANGE_2013_SP1

      Target the schema files for Exchange 2013 Service Pack 1 (SP1).

    - #### EXCHANGE_2016

          public static final RequestServerVersion EXCHANGE_2016

      Target the schema files for Exchange 2016.

  - ### Method Detail

    - #### values

          public static RequestServerVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RequestServerVersion c : RequestServerVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RequestServerVersion valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null